/* -*- c++ -*- */
/****************************************************************
 *                                                              *
 *  Project name:      Biped Locomotion                         *
 *                                                              *
 *  Created by:  Yariv Bachar (Y.Bachar@sms.ed.ac.uk)           *
 ****************************************************************
 * $Id: biped_joints.hpp,v 1.4 2004/08/29 11:09:38 s0343981 Exp $
 ****************************************************************/
/**
 * \file biped_joints.hpp 
 */

#ifndef __BIPED_JOINTS_HPP__
#define __BIPED_JOINTS_HPP__

class JointInfo {
public:
	virtual const char * toString(int joint) = 0;
	virtual const char * toDEFString(int joint) = 0;
};

#endif	// __BIPED_JOINTS_HPP__
