/* -*- c++ -*- */
/****************************************************************
 *                                                              *
 *  Project name:      Biped Locomotion                         *
 *                                                              *
 *  Created by:  Yariv Bachar (Y.Bachar@sms.ed.ac.uk)           *
 ****************************************************************
 * $Id: biped_namespace.hpp,v 1.5 2004/08/06 18:02:43 s0343981 Exp $ 
 ****************************************************************/
/**
 * \file biped_namespace.hpp 
 * \brief Namespace definitions for a biped humanoid robot.
 */

#ifndef __BIPED_NAMESPACE_HPP__
#define __BIPED_NAMESPACE_HPP__

#if BIPED_USE_NAMESPACE
#  define BIPED_BEGIN_NAMESPACE(nspce) namespace nspce {
#  define BIPED_END_NAMESPACE }
#else
#  define BIPED_BEGIN_NAMESPACE
#  define BIPED_END_NAMESPACE
#endif

#endif	// __BIPED_NAMESPACE_HPP__
