package MotionTool.Interface;


import MotionTool.ServoKeyFrames;
import MotionTool.GlobalDefinitions;
import java.util.Vector;
import java.util.Iterator;

/**
 * Created by IntelliJ IDEA.
 * User: joseph
 * Date: 02.06.2004
 * Time: 16:02:14
 * To change this template use Options | File Templates.
 */

public class VectorOfServoKeyFrames {

    //Vectro of ServoKeyFrames
    Vector vec= new Vector();

    //Add a KeyFrame to the Vector
    public void addKeyFrame(int servoId, int frameNumber, float servoValue) {

        //If there already exists a ServoKeyFrame with the actual servoId, append actual KeyFrame to it
        Iterator enumKeyFrames = vec.iterator();
        while (enumKeyFrames.hasNext()) {
            ServoKeyFrames frames = (ServoKeyFrames) enumKeyFrames.next();
            //Servo has already a ServoiKeyFrame -> add New one
            if (frames.servoId == servoId) {
                frames.addKeyFrame(frameNumber, servoValue);
                return;
            }
        }
        //Else create a new ServoKeyFrame and add actual KeyFrame to it
        ServoKeyFrames servoFrame = new ServoKeyFrames(servoId, frameNumber, servoValue);
        vec.add(servoFrame);
    }

    public ServoKeyFrames getServoKeyFrames(int servoId){

        //If exists return ServoKeyFrames else return nill
        Iterator enumKeyFrames = vec.iterator();
        while (enumKeyFrames.hasNext()) {
            ServoKeyFrames frames = (ServoKeyFrames) enumKeyFrames.next();
            //Servo has already a ServoiKeyFrame -> add New one
            if (frames.servoId == servoId) {
                return frames;
            }
        }
        return new ServoKeyFrames(servoId);
    }

     /*public ServoKeyFrames getFirstServoKeyFrames(){

         if (vec.size() > 0) return (ServoKeyFrames)vec.firstElement();
         return new ServoKeyFrames();
    }  */

     public void setKeyFrames (ServoKeyFrames frames, boolean append){

         if (append){
             Iterator it = vec.iterator();
             while (it.hasNext()){
                 ServoKeyFrames temp = (ServoKeyFrames)it.next();
                 if (temp.servoId == frames.servoId){
                       vec.removeElementAt(temp.servoId);
                       vec.add(frames);
                       return;
                 }
              }
            vec.add(frames);
         }else {
             vec.removeAllElements();
             vec.add(frames);
         }
        return;
    }

}
